WProf
=====

Identify the bottleneck activities of your Web page

Overview

WProf is a tool that extracts dependencies of activities during a page load. For Web developers, WProf can help identify the bottleneck activities of your Web pages. For browser architects, WProf can relate page load bottlenecks to either Web standards or browser implementation choices.

Web page load time is a key performance metric that many companies and people are trying to optimize. Given its importance, many techniques (e.g., SPDY and mod_pagespeed) have been developed and applied to reduce page load time. However, the performance bottlenecks that limit the page load times are still not well understood. The result is that it is difficult to know whether and when proposed techniques will help or harm page load time. This motivates us to build WProf that helps uncover the complexity of the page load process underneath.
